Subject: Re: [PATCH RFC 2/2] Move libgit.a sources into separate "lib/" directory

From: "brian m. carlson" <[email-masked]>
Date: Fri, 17 Apr 2026 21:51:27 +0000

On 2026-04-17 at 21:18:37, Junio C Hamano wrote:
> I do not mind a move to thin the set of regular files out of the
> top-level directory.  I have forever been annoyed by my buil<TAB>
> no longer complete to builtin (anticipating either .h or /) and
> it would be nice if build.rs is renamed away, or builtin{.h,/}
> are moved away, to restore the convenience of tab completion back.

The `build.rs` file needs to go at the same level as the Rust `src`
directory so `cargo` can invoke it properly.  I think Patrick had wanted
to put the Rust code in a directory called `rust`, which would move that
out of the root of the repository and fix that.  As long as it continues
to build gracefully on a variety of platforms, I think that would be
okay.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA